- release_tracks: [ALPHA, GA]
  help_text:
    brief: Create an EdgeCacheKeyset resource.
    description: |
      Create a new EdgeCacheKeyset resource.
    examples: |
      To create an EdgeCacheKeyset resource called 'my-keyset', run:

        $ {command} my-keyset --public-key='id=KEYID,value=BASE64PUBLICKEY'

  request:
    collection: networkservices.projects.locations.edgeCacheKeysets
    ALPHA:
      api_version: v1alpha1
    GA:
      api_version: v1

  async:
    collection: networkservices.projects.locations.operations

  arguments:
    resource:
      help_text: The name of the EdgeCacheKeyset resource to create.
      spec: !REF googlecloudsdk.command_lib.edge_cache.resources:edgeCacheKeyset

    params:
    - _REF_: googlecloudsdk.command_lib.edge_cache.flags:keyset.description
    - _REF_: googlecloudsdk.command_lib.edge_cache.flags:keyset.labels
    - _REF_: googlecloudsdk.command_lib.edge_cache.flags:keyset.public_keys
    - _REF_: googlecloudsdk.command_lib.edge_cache.flags:keyset.validation_shared_keys
